<?php
/**
 * Recommends plugins for use with the theme via the TGMA Script
 *
 * @package KriyaYogaEl WordPress theme
 */

function kriya_yoga_el_tgmpa_plugins_register() {

	// Get array of recommended plugins.

	$plugins_list = array(
        array(
            'name'               => esc_html__('Kriya Yoga Plus', 'kriya_yoga_el'),
            'slug'               => 'kriya-yoga-el-plus',
            'source'             => KRIYA_YOGA_EL_MODULE_DIR . '/plugins/kriya-yoga-el-plus.zip',
            'required'           => true,
            'version'            => '1.0.1',
            'force_activation'   => false,
            'force_deactivation' => false,
        ),
        array(
            'name'               => esc_html__('Kriya Yoga Pro', 'kriya_yoga_el'),
            'slug'               => 'kriya-yoga-el-pro',
            'source'             => KRIYA_YOGA_EL_MODULE_DIR . '/plugins/kriya-yoga-el-pro.zip',
            'required'           => true,
            'version'            => '1.0.1',
            'force_activation'   => false,
            'force_deactivation' => false,
        ),
        array(
            'name'     => esc_html__('Elementor', 'kriya_yoga_el'),
            'slug'     => 'elementor',
            'required' => true,
        ),
        array(
            'name'     => esc_html__('The Events Calendar', 'kriya_yoga_el'),
            'slug'     => 'the-events-calendar',
            'required' => true,
        ),
        array(
            'name'               => esc_html__('WeDesignTech Elementor Addon', 'kriya_yoga_el'),
            'slug'               => 'wedesigntech-elementor-addon',
            'source'             => KRIYA_YOGA_EL_MODULE_DIR . '/plugins/wedesigntech-elementor-addon.zip',
            'required'           => true,
            'version'            => '1.0.1',
            'force_activation'   => false,
            'force_deactivation' => false,
        ),
        array(
            'name'               => esc_html__('WeDesignTech Portfolio', 'kriya_yoga_el'),
            'slug'               => 'wedesigntech-portfolio',
            'source'             => KRIYA_YOGA_EL_MODULE_DIR . '/plugins/wedesigntech-portfolio.zip',
            'required'           => true,
            'version'            => '1.0.0',
            'force_activation'   => false,
            'force_deactivation' => false,
        ),
        array(
            'name'               => esc_html__('WeDesignTech LMS Addon', 'kriya_yoga_el'),
            'slug'               => 'wedesigntech-lms-addon',
            'source'             => KRIYA_YOGA_EL_MODULE_DIR . '/plugins/wedesigntech-lms-addon.zip',
            'required'           => true,
            'version'            => '1.0.0',
            'force_activation'   => false,
            'force_deactivation' => false,
        ),
        array(
            'name'     => esc_html__('WooCommerce', 'kriya_yoga_el'),
            'slug'     => 'woocommerce',
            'required' => false,
        ),
        array(
            'name'               => esc_html__('Kriya Yoga Shop', 'kriya_yoga_el'),
            'slug'               => 'kriya-yoga-el-shop',
            'source'             => KRIYA_YOGA_EL_MODULE_DIR . '/plugins/kriya-yoga-el-shop.zip',
            'required'           => false,
            'version'            => '1.0.0',
            'force_activation'   => false,
            'force_deactivation' => false,
        ),
        array(
            'name'               => esc_html__('WDT demo importer', 'kriya_yoga_el'),
            'slug'               => 'wdt-demo-importer',
            'source'             => KRIYA_YOGA_EL_MODULE_DIR . '/plugins/wdt-demo-importer.zip',
            'required'           => false,
            'version'            => '1.0.0',
            'force_activation'   => false,
            'force_deactivation' => false,
        ),
        array(
            'name'     => esc_html__('YITH WooCommerce Wishlist', 'kriya_yoga_el'),
            'slug'     => 'yith-woocommerce-wishlist',
            'required' => false,
        ),
        array(
            'name'     => esc_html__('Contact Form 7', 'kriya_yoga_el'),
            'slug'     => 'contact-form-7',
            'required' => true,
        ),
        array(
            'name'     => esc_html__('Contact Form 7 Captcha', 'kriya_yoga_el'),
            'slug'     => 'contact-form-7-simple-recaptcha',
            'required' => true,
        )
	);

	$plugins = apply_filters('kriya_yoga_el_required_plugins_list', $plugins_list);

	// Register notice
	tgmpa( $plugins, array(
		'id'           => 'kriya_yoga_el_theme',
		'domain'       => 'kriya_yoga_el',
		'menu'         => 'install-required-plugins',
		'has_notices'  => true,
		'is_automatic' => true,
		'dismissable'  => true,
	) );

}
add_action( 'tgmpa_register', 'kriya_yoga_el_tgmpa_plugins_register' );