<?php
/**
 * Listing Options - Image Effect
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if( !class_exists( 'KriyaYogaEl_Woo_Listing_Option_Border_Shadow' ) ) {

    class KriyaYogaEl_Woo_Listing_Option_Border_Shadow extends KriyaYogaEl_Woo_Listing_Option_Core {

        private static $_instance = null;

        public $option_slug;

        public $option_name;

        public $option_type;

        public $option_default_value;

        public $option_value_prefix;

        public static function instance() {

            if ( is_null( self::$_instance ) ) {
                self::$_instance = new self();
            }

            return self::$_instance;
        }

        function __construct() {

            $this->option_slug          = 'product-borderorshadow';
            $this->option_name          = esc_html__('Border or Shadow', 'kriya_yoga_el');
            $this->option_type          = array ( 'class', 'value-css' );
            $this->option_default_value = '';
            $this->option_value_prefix  = 'product-borderorshadow-';

            $this->render_backend();
        }

        /**
         * Backend Render
         */
        function render_backend() {
            add_filter( 'kriya_yoga_el_woo_custom_product_template_common_options', array( $this, 'woo_custom_product_template_common_options'), 35, 1 );
        }

        /**
         * Custom Product Templates - Options
         */
        function woo_custom_product_template_common_options( $template_options ) {

            array_push( $template_options, $this->setting_args() );

            return $template_options;
        }

        /**
         * Settings Group
         */
        function setting_group() {
            return 'common';
        }

        /**
         * Setting Args
         */
        function setting_args() {
            $settings            =  array ();
            $settings['id']      =  $this->option_slug;
            $settings['type']    =  'select';
            $settings['title']   =  $this->option_name;
            $settings['options'] =  array (
                ''                              => esc_html__('None', 'kriya_yoga_el'),
                'product-borderorshadow-border' => esc_html__('Border', 'kriya_yoga_el'),
                'product-borderorshadow-shadow' => esc_html__('Shadow', 'kriya_yoga_el'),
            );
            $settings['default'] =  $this->option_default_value;
            $settings['desc']    =  esc_html__('Choose either Border or Shadow for your product listing.', 'kriya_yoga_el');

            return $settings;
        }
    }

}

if( !function_exists('kriya_yoga_el_woo_listing_option_borderorshadow') ) {
	function kriya_yoga_el_woo_listing_option_borderorshadow() {
		return KriyaYogaEl_Woo_Listing_Option_Border_Shadow::instance();
	}
}

kriya_yoga_el_woo_listing_option_borderorshadow();